\NeedsTeXFormat{LaTeX2e}[1996/12/01]
\ProvidesClass{DIKU-thesis}%
              [2006/03/01 The thesis class used at DIKU]
% package loading
\LoadClass{report}
%\LoadClass{afthesis}

  \newenvironment{DIKUabstract}{%
       \noindent\small {\bf Abstract\@. }\rm\ignorespaces}%
      {\par\vspace{1.5em}\normalsize}
\newcommand\DIKUabstractname{Abstract}

% \DIKUnewtheorem{BODYSTYLE}{NAME}{TEXT}
\def\DIKUnewtheorem#1#2#3{\expandafter\@ifdefinable\csname #2\endcsname
{\@definecounter{#2}\@ifundefined{DIKU@#2}{%
\expandafter\xdef\csname the#2\endcsname{\@thmcounter{#2}}%
\global\@namedef{#2}{\@thm{#1}{#2}{#3}}\global\@namedef{end#2}{\@endtheorem}}{%
\@addtoreset{#2}{section}%
\expandafter\xdef\csname the#2\endcsname{\expandafter\noexpand
  \thesection \@thmcountersep \@thmcounter{#2}}%
\global\@namedef{#2}{\@thm{#1}{#2}{#3}}\global\@namedef{end#2}{\@endtheorem}}
\global\@namedef{#2*}{\@starthm{#1}{#3}}%
      \global\@namedef{end#2*}{\@endstartheorem}
}}

\def\@starthm#1#2{%
	\@ifnextchar[{\@starythm{#1}{#2}}{\@starxthm{#1}{#2}}}
\def\@starxthm#1#2{\@beginstartheorem{#2}\ignorespaces#1}
\def\@starythm#1#2[#3]{\@opargbeginstartheorem{#2}{#3}\ignorespaces#1}
\def\@beginstartheorem#1{\trivlist \item[\hskip \labelsep{\bfseries #1.}]}
\def\@opargbeginstartheorem#1#2{\trivlist
      \item[\hskip \labelsep{\bfseries #1.\ (#2)}]}
\def\@endstartheorem{\endtrivlist}

\def\@thm#1#2#3{\refstepcounter
    {#2}\@ifnextchar[{\@ythm{#1}{#2}{#3}}{\@xthm{#1}{#2}{#3}}}

\def\@xthm#1#2#3{\@begintheorem{#3}{\csname the#2\endcsname.}\ignorespaces#1}
\def\@ythm#1#2#3[#4]{\@opargbegintheorem{#3}{\csname
       the#2\endcsname.}{#4}\ignorespaces#1}
\def\@begintheorem#1#2{\trivlist \item[\hskip \labelsep{\bfseries #1\ #2}]}
\def\@opargbegintheorem#1#2#3{\trivlist
      \item[\hskip \labelsep{\bfseries #1\ #2\ (#3)}]}
\def\@endtheorem{\endtrivlist}

\DIKUnewtheorem{\it}{theorem}{Theorem}
\DIKUnewtheorem{\it}{lemma}{Lemma}
\DIKUnewtheorem{\it}{corollary}{Corollary}
\DIKUnewtheorem{\it}{proposition}{Proposition}
\DIKUnewtheorem{\it}{definition}{Definition}
\DIKUnewtheorem{\it}{conjecture}{Conjecture}
\DIKUnewtheorem{\it}{claim}{Claim}
\DIKUnewtheorem{\it}{invariant}{Invariant}

\DIKUnewtheorem{\rm}{problem}{Problem}
\DIKUnewtheorem{\rm}{example}{Example}
\DIKUnewtheorem{\rm}{fact}{Fact}
\DIKUnewtheorem{\rm}{remark}{Remark}
\DIKUnewtheorem{\rm}{observation}{Observation}

\gdef\proof{\relax{\noindent\bfseries Proof\@. }\ignorespaces}
\gdef\endproof{\ifhmode\nobreak\qed\par\fi\medskip}
\gdef\qed{\raisebox{-.2ex}{$\Box$}}

\newenvironment{acknowledgements}{\section*{Acknowledgements}}{}

\def\DIKUthebibliography#1{\section*{References}\footnotesize\list
  {[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth
  \advance\leftmargin\labelsep\itemsep=0pt \parsep=0pt
  \usecounter{enumi}}
  \def\newblock{\hskip .11em plus .33em minus -.07em}
  \sloppy
  \sfcode`\.=1000\relax
}
\let\endDIKUthebibliography=\endlist
%% 
%% End of file `DIKU-thesis.cls'.








